package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Brd;
import com.brilliance.isc.bo.Brt;
import com.brilliance.isc.bo.Srm;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Brdgrp extends AbstractCommonVo {

    private Brd rec;

    private Brt blk;

    private Bracbs cbs;

    private PtsptaVo apl;

    private PtsptaVo prb;

    private PtsptaVo rmb;

    private PtsptaVo acb;

    private PtsptaVo ben;

    private PtsptaVo rog;

    private PtsptaVo beb;

    private PtsptaVo oap;

    private PtsptaVo shp;

    private PtsptaVo apo;

    private Srm srm;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new Brd();
        }
        if (blk == null) {
            blk = new Brt();
        }
        if (cbs == null) {
            cbs = new Bracbs();
        }
        cbs.reset();
        if (apl == null) {
            apl = new PtsptaVo();
        }
        apl.reset();
        if (prb == null) {
            prb = new PtsptaVo();
        }
        prb.reset();
        if (rmb == null) {
            rmb = new PtsptaVo();
        }
        rmb.reset();
        if (acb == null) {
            acb = new PtsptaVo();
        }
        acb.reset();
        if (ben == null) {
            ben = new PtsptaVo();
        }
        ben.reset();
        if (rog == null) {
            rog = new PtsptaVo();
        }
        rog.reset();
        if (beb == null) {
            beb = new PtsptaVo();
        }
        beb.reset();
        if (oap == null) {
            oap = new PtsptaVo();
        }
        oap.reset();
        if (shp == null) {
            shp = new PtsptaVo();
        }
        shp.reset();
        if (srm == null) {
            srm = new Srm();
        }
        if (apo == null) {
            apo = new PtsptaVo();
        }
        apo.reset();
    }
}
